package com.arrebol.taxiservicios.model.enums;

/**
 *
 * @author Picasso
 */
public enum ServiceOrderType {
    PENDING("Pendiente") {
        @Override
        public String toString() {
            return "PENDING";
        }
    }, APPROVED("Aprobada") {
        @Override
        public String toString() {
            return "APPROVED";
        }
    }, PROGRESS("En Progreso") {
        @Override
        public String toString() {
            return "PROGRESS";
        }
    }, FINISHED("Terminada") {
        @Override
        public String toString() {
            return "FINISHED";
        }
    }, EMPTY_STOCK("No hay inventario") {
        @Override
        public String toString() {
            return "EMPTY_STOCK";
        }
    }, PASE_TALLER("Pase a taller") {
        @Override
        public String toString() {
            return "PASE_TALLER";
        }
    },PAYED("Pagado") {
        @Override
        public String toString() {
            return "PAYED";
        }
    };

    private final String serviceOrder;

    private ServiceOrderType(String serviceOrder) {
        this.serviceOrder = serviceOrder;
    }

    public String getServiceOrder() {
        return serviceOrder;
    }
}
